export class Http {
  options;
  constructor(options = {}) {
    this.options = options;
  }
  create(options = {}) {
    return new Http({ ...this.options, ...options });
  }
  request(url, options = {}) {
    return $fetch(url, { ...this.options, ...options });
  }
  get(url, params = {}, options = {}) {
    return this.request(url, { ...this.options, ...options, method: "get", params });
  }
  post(url, params = {}, options = {}) {
    return this.request(url, { ...this.options, ...options, method: "post", body: params });
  }
  put(url, params = {}, options = {}) {
    return this.request(url, { ...this.options, ...options, method: "put", body: params });
  }
  delete(url, params = {}, options = {}) {
    return this.request(url, { ...this.options, ...options, method: "delete", body: params });
  }
}
